Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1285499 - [RFE] Replace column control up/down arrows with drag'n'drop behavior
Summary: [RFE] Replace column control up/down arrows with drag'n'drop behavior
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Vojtech Szocs
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On: 1172390
Blocks: 1416026
TreeView+ depends on / blocked
 
Reported: 2015-11-25 19:06 UTC by Vojtech Szocs
Modified: 2017-03-01 04:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the column control menu in the Administration Portal, which is accessed by right-clicking on a column header in any of the tables, contained arrows for controlling the order of the columns. In this release, the order of the columns in this menu can be defined by dragging and dropping the column to the required position within the menu.
Clone Of:
Environment:
Last Closed: 2017-02-01 14:45:04 UTC
oVirt Team: UX
sbonazzo: ovirt-4.1?
pnovotny: testing_plan_complete+
rule-engine: planning_ack?
rule-engine: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 54186 master MERGED webadmin: Improve column control menu 2016-10-06 17:29:23 UTC
oVirt gerrit 65827 ovirt-engine-4.0 NEW webadmin: Improve column control menu 2016-10-27 18:04:42 UTC
oVirt gerrit 65919 ovirt-engine-4.0.5 POST webadmin: Improve column control menu 2016-10-31 19:14:33 UTC

Description Vojtech Szocs 2015-11-25 19:06:29 UTC
WebAdmin main & sub tab tables support re-arranging columns via up/down arrow icons (context menu triggered by right-click on table header area).

This RFE suggests to replace these up/down arrow icons with drag'n'drop behavior in order to improve the end user experience.

Comment 1 Vojtech Szocs 2015-11-25 19:10:22 UTC
We can leverage jQuery [1] to implement DnD behavior.

[1] https://jqueryui.com/draggable/

Comment 2 Einav Cohen 2015-11-26 14:30:04 UTC
if this is too much effort to develop in our current UI, I would prefer to rely on PatternFly's data-table once we will use it.

Comment 3 Vojtech Szocs 2015-11-26 16:44:02 UTC
(In reply to Einav Cohen from comment #2)
> if this is too much effort to develop in our current UI, I would prefer to
> rely on PatternFly's data-table once we will use it.

It's not really a big effort, considering that we already use jQuery in "column control" context menu implementation [1].

[1] org.ovirt.engine.ui.common.widget.table.ColumnContextMenu

It's only a matter of removing up/down buttons and utilizing jQuery "draggable" as mentioned in comment #1. (Infra for re-arranging GWT table columns is already there, this is just a non-infra visual change.)

Comment 4 Vojtech Szocs 2015-11-26 17:31:45 UTC
(In reply to Einav Cohen from comment #2)
> if this is too much effort to develop in our current UI, I would prefer to
> rely on PatternFly's data-table once we will use it.

Looking at DataTables [1] (jQuery plugin), the column visibility & position control can be achieved by DataTables extension called "ColReorder" [2] and I don't think this extension (or any extensions in general) is shipped through PatternFly.

[1] http://datatables.net/
[2] http://datatables.net/extensions/colreorder/examples/
    http://datatables.net/extensions/colreorder/examples/styling/bootstrap.html
    http://datatables.net/extensions/colreorder/examples/integration/colvis.html

Comment 5 Sandro Bonazzola 2016-12-12 14:03:41 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 6 Pavel Novotny 2017-01-24 15:24:26 UTC
Verified in 
rhevm-4.1.0.2-0.1.el7.noarch
ovirt-engine-webadmin-portal-4.1.0.2-0.1.el7.noarch

Column re-arranging is now done via drag'n'drop instead of the up/down arrows.


Note You need to log in before you can comment on or make changes to this bug.